Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 308021 (CVE-2009-4212)

Summary: <app-crypt/mit-krb5-1.7.1 DOS (CVE-2009-4212,CVE-2010-0283)
Product: Gentoo Security Reporter: Stefan Behte (RETIRED) <craig>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: kerberos
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=545015
Whiteboard: B3 [glsa]
Package list:
Runtime testing required: ---

Description Stefan Behte (RETIRED) gentoo-dev Security 2010-03-06 14:49:14 UTC
CVE-2009-4212 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-4212):
  Multiple integer underflows in the (1) AES and (2) RC4 decryption
  functionality in the crypto library in MIT Kerberos 5 (aka krb5) 1.3
  through 1.6.3, and 1.7 before 1.7.1, allow remote attackers to cause
  a denial of service (daemon crash) or possibly execute arbitrary code
  by providing ciphertext with a length that is too short to be valid.
Comment 2 Stefan Behte (RETIRED) gentoo-dev Security 2010-03-06 15:48:09 UTC
CVE-2010-0283 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-0283):
  The Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) 1.7
  before 1.7.2, and 1.8 alpha, allows remote attackers to cause a
  denial of service (assertion failure and daemon crash) via an invalid
  (1) AS-REQ or (2) TGS-REQ request.

Comment 3 PaweĊ‚ Hajdan, Jr. (RETIRED) gentoo-dev 2011-02-19 10:50:12 UTC
The oldest version in the tree is now 1.8.3. A B3-rated vulnerability gets a GLSA vote.
Comment 4 Tim Sammut (RETIRED) gentoo-dev 2011-02-19 15:22:35 UTC
GLSA Vote: yes.
Comment 5 Stefan Behte (RETIRED) gentoo-dev Security 2011-02-22 22:01:14 UTC
Yes, added to glsa for #323525.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2012-01-23 20:38:09 UTC
This issue was resolved and addressed in
 GLSA 201201-13 at http://security.gentoo.org/glsa/glsa-201201-13.xml
by GLSA coordinator Sean Amoss (ackle).